%define	upstream_name    Feed-Find
%define	upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Module for Syndication feed auto-discovery
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(LWP)
BuildRequires: perl(Test::LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
Perl Module for Syndication feed auto-discovery.

Feed::Find implements feed auto-discovery for finding syndication feeds, 
given a URI. It (currently) passes all of the auto-discovery tests at 
http://diveintomark.org/tests/client/autodiscovery/ .

Feed::Find will discover the following feed formats:
RSS 0.91
RSS 1.0
RSS 2.0
Atom

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# this test requires a connection to an external website
rm t/01-find.t

%build
SKIP_SAX_INSTALL=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Feed/Find*
%{_mandir}/*/*


%changelog
* Thu Oct 20 2022 tv <tv> 0.130.0-1.mga9
+ Revision: 1897925
- Restore BR on perl(inc::Module::Install)
- update to 0.13

* Tue Mar 29 2022 umeabot <umeabot> 0.120.0-2.mga9
+ Revision: 1831268
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 0.120.0-1.mga9
+ Revision: 1753034
- BR perl(inc::Module::Install)
- update to 0.12
- update to 0.11
- update to 0.10

* Fri Jun 11 2021 tv <tv> 0.80.0-1.mga9
+ Revision: 1730399
- Restore BR on inc::Module::Install (bad magpie)
- update to 0.08

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-12.mga8
+ Revision: 1504446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-11.mga7
+ Revision: 1283656
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.70.0-10.mga7
+ Revision: 1164314
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.70.0-9.mga7
+ Revision: 1160201
- add BR on perl(inc::Module::Install)

* Thu Oct 06 2016 tv <tv> 0.70.0-8.mga6
+ Revision: 1059215
- remove a test that requires a connection to an external website

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-7.mga6
+ Revision: 1027276
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 945518
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 750285
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 684702
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 511532
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 367140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 56570
- fix source path
+ dmorgan <dmorgan>
- New version

* Wed Feb 16 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 52484
- update to 0.07

* Thu Jan 20 2011 jquelin <jquelin> 0.06-6.mga1
+ Revision: 26142
- mageia rebuild
- imported package perl-Feed-Find

